| 0.9.8

- Main Page
- Modules
- Files

Functions
GLM_GTX_closest_point
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | closestPointOnLine (tvec3< T, P > const &point, tvec3< T, P > const &a, tvec3< T, P > const &b)
template<typename T , precision P>
GLM_FUNC_DECL tvec2< T, P > | closestPointOnLine (tvec2< T, P > const &point, tvec2< T, P > const &a, tvec2< T, P > const &b)

## Detailed Description

Find the point on a straight line which is the closet of a point.

<glm/gtx/closest_point.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tvec3<T, P> glm::closestPointOnLine | ( | tvec3< T, P > const & | point,
|  | tvec3< T, P > const & | a,
|  | tvec3< T, P > const & | b
| ) |  |

Find the point on a straight line which is the closet of a point.

See also
  GLM_GTX_closest_point